#pragma once

#include <vector>
#include "SDL_surface.h"

template<typename T>
constexpr size_t array_len(T *array[]) {
    size_t i = 0;
    while (array[i] != nullptr)
        i++;
    return i;
}

std::vector<SDL_Surface *> get_resized(const std::vector<SDL_Surface *>& t_original, int t_width, int t_height);

std::vector<SDL_Surface *> get_hills();

SDL_Surface *resize_surface(SDL_Surface *t_surface, int t_width, int t_height);
